[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TUNBPages.Put

Ensures that the index value is valid before accessing the TPage object.

## Declaration

Source position: extctrls.pp line 105

`protected procedure TUNBPages.Put(`
`Index: Integer;`
`const S: string`
`); override;`

## Arguments

`Index` |  | Ordinal position for the page object updated in the method.
`S` |  | Name stored in the requested page object.

## Description

Put is overridden in TUNBPages to set the name for the page object at the specified position. Put ensures that the value in Index is valid. Index must contain a value in the range 0 to the number of defined pages - 1. An exception is raised when Index contains an invalid value.

Put sets the name in the TPage object at the specified position to the value in S.

## Errors

Calls RaiseGDBException with the exception message 'TUNBPages.Put Index out of bounds' when Index contains an invalid value.

## See also

TStrings